"""upgrade pimcache python310

Revision ID: f9d03744dd49
Revises: d3bf0fcd237c
Create Date: 2024-04-02 16:21:05.867044

"""
from pathlib import Path

from alembic import op


# revision identifiers, used by Alembic.
revision = "f9d03744dd49"
down_revision = "d3bf0fcd237c"
branch_labels = None
depends_on = None


coarse_old_content = (Path.cwd() / "versions" / "templates" / "vlass_coarse" / "fetch_2.8.1.txt").read_text()
coarse_new_content = (Path.cwd() / "versions" / "templates" / "vlass_coarse" / "fetch_2.8.3.txt").read_text()

ql_old_content = (Path.cwd() / "versions" / "templates" / "vlass_quicklook" / "fetch_2.8.1.txt").read_text()
ql_new_content = (Path.cwd() / "versions" / "templates" / "vlass_quicklook" / "fetch_2.8.3.txt").read_text()

seci_old_content = (Path.cwd() / "versions" / "templates" / "vlass_seci" / "fetch_2.8.1.txt").read_text()
seci_new_content = (Path.cwd() / "versions" / "templates" / "vlass_seci" / "fetch_2.8.3.txt").read_text()


def upgrade():
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{coarse_new_content}'
        WHERE filename='vlass_coarse_fetch.sh' AND workflow_name='vlass_coarse'
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{ql_new_content}'
        WHERE filename='vlass_ql_fetch.sh' AND workflow_name='vlass_quicklook'
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{seci_new_content}'
        WHERE filename='vlass_seci_fetch.sh' AND workflow_name='vlass_seci'
        """
    )


def downgrade():
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{coarse_old_content}'
        WHERE filename='vlass_coarse_fetch.sh' AND workflow_name='vlass_coarse'
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{ql_old_content}'
        WHERE filename='vlass_ql_fetch.sh' AND workflow_name='vlass_quicklook'
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{seci_old_content}'
        WHERE filename='vlass_seci_fetch.sh' AND workflow_name='vlass_seci'
        """
    )
